extension_dictionary = {
    "act": {
        "full_name": "deviceAction",
        "data_type": ["String"],
        "length": 63,
        "description": "Action mentioned in the event.",
    },
    "app": {
        "full_name": "applicationProtocol",
        "data_type": ["String"],
        "length": 31,
        "description": "Application level protocol, example values are: HTTP, HTTPS, SSHv2, Telnet, POP, IMAP, IMAPS, etc.",
    },
    "c6a1": {
        "full_name": "deviceCustomIPv6Address1",
        "data_type": ["IPv6 Address"],
        "length": 0,
        "description": "One of four IPV6 address fields available to map fields that do not apply to any other in this dictionary.",
    },
    "c6a1Label": {
        "full_name": "deviceCustomIPv6Address1Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "c6a2": {
        "full_name": "deviceCustomIPv6Address2",
        "data_type": ["IPv6 Address"],
        "length": 0,
        "description": "One of four IPV6 address fields available to map fields that do not apply to any other in this dictionary.",
    },
    "c6a2Label": {
        "full_name": "deviceCustomIPv6Address2Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "c6a3": {
        "full_name": "deviceCustomIPv6Address3",
        "data_type": ["IPv6 Address"],
        "length": 0,
        "description": "One of four IPV6 address fields available to map fields that do not apply to any other in this dictionary.",
    },
    "c6a3Label": {
        "full_name": "deviceCustomIPv6Address3Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "c6a4": {
        "full_name": "deviceCustomIPv6Address4",
        "data_type": ["IPv6 Address"],
        "length": 0,
        "description": "One of four IPV6 address fields available to map fields that do not apply to any other in this dictionary.",
    },
    "c6a4Label": {
        "full_name": "deviceCustomIPv6Address4Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cfp1": {
        "full_name": "deviceCustomFloatingPoint1",
        "data_type": ["Floating Point"],
        "length": 0,
        "description": "One of four floating point fields available to map fields that do not apply to any other in this dictionary.",
    },
    "cfp1Label": {
        "full_name": "deviceCustomFloatingPoint1Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cfp2": {
        "full_name": "deviceCustomFloatingPoint2",
        "data_type": ["Floating Point"],
        "length": 0,
        "description": "One of four floating point fields available to map fields that do not apply to any other in this dictionary.",
    },
    "cfp2Label": {
        "full_name": "deviceCustomFloatingPoint2Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cfp3": {
        "full_name": "deviceCustomFloatingPoint3",
        "data_type": ["Floating Point"],
        "length": 0,
        "description": "One of four floating point fields available to map fields that do not apply to any other in this dictionary.",
    },
    "cfp3Label": {
        "full_name": "deviceCustomFloatingPoint3Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cfp4": {
        "full_name": "deviceCustomFloatingPoint4",
        "data_type": ["Floating Point"],
        "length": 0,
        "description": "One of four floating point fields available to map fields that do not apply to any other in this dictionary.",
    },
    "cfp4Label": {
        "full_name": "deviceCustomFloatingPoint4Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cat": {
        "full_name": "deviceEventCategory",
        "data_type": ["String"],
        "length": 1023,
        "description": "Represents the category assigned by the originating device. Devices oftentimes use their own categorization schema to classify events.",
    },
    "cn1": {
        "full_name": "deviceCustomNumber1",
        "data_type": ["Long"],
        "length": 0,
        "description": 'There are three number fields available which can be used to map fields which do not fit into any other field of this dictionary. If possible, "these fields should not be used, but a more specific field from the dictionary. Also check the guidelines hereafter for hints on how to utilize these fields.',
    },
    "cn1Label": {
        "full_name": "deviceCustomNumber1Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cn2": {
        "full_name": "deviceCustomNumber2",
        "data_type": ["Long"],
        "length": 0,
        "description": 'There are three number fields available which can be used to map fields which do not fit into any other field of this dictionary. If possible, "these fields should not be used, but a more specific field from the dictionary. Also check the guidelines hereafter for hints on how to utilize these fields.',
    },
    "cn2Label": {
        "full_name": "deviceCustomNumber2Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cn3": {
        "full_name": "deviceCustomNumber3",
        "data_type": ["Long"],
        "length": 0,
        "description": 'There are three number fields available which can be used to map fields which do not fit into any other field of this dictionary. If possible, "these fields should not be used, but a more specific field from the dictionary. Also check the guidelines hereafter for hints on how to utilize these fields.',
    },
    "cn3Label": {
        "full_name": "deviceCustomNumber3Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cnt": {
        "full_name": "baseEventCount",
        "data_type": ["Integer"],
        "length": 0,
        "description": "A count associated with this event. How many times was this same event observed?",
    },
    "cs1": {
        "full_name": "deviceCustomString1",
        "data_type": ["String"],
        "length": 1023,
        "description": "There are six strings available which can be used to map fields which do not fit into any other field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.",
    },
    "cs1Label": {
        "full_name": "deviceCustomString1Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cs2": {
        "full_name": "deviceCustomString2",
        "data_type": ["String"],
        "length": 1023,
        "description": "There are six strings available which can be used to map fields which do not fit into any other field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.",
    },
    "cs2Label": {
        "full_name": "deviceCustomString2Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cs3": {
        "full_name": "deviceCustomString3",
        "data_type": ["String"],
        "length": 1023,
        "description": "There are six strings available which can be used to map fields which do not fit into any other field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.",
    },
    "cs3Label": {
        "full_name": "deviceCustomString3Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cs4": {
        "full_name": "deviceCustomString4",
        "data_type": ["String"],
        "length": 1023,
        "description": "There are six strings available which can be used to map fields which do not fit into any other field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.",
    },
    "cs4Label": {
        "full_name": "deviceCustomString4Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cs5": {
        "full_name": "deviceCustomString5",
        "data_type": ["String"],
        "length": 1023,
        "description": "There are six strings available which can be used to map fields which do not fit into any other field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.",
    },
    "cs5Label": {
        "full_name": "deviceCustomString5Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "cs6": {
        "full_name": "deviceCustomString6",
        "data_type": ["String"],
        "length": 1023,
        "description": "There are six strings available which can be used to map fields which do not fit into any other field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.",
    },
    "cs6Label": {
        "full_name": "deviceCustomString6Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "destinationDnsDomain": {
        "full_name": "destinationDnsDomain",
        "data_type": ["String"],
        "length": 255,
        "description": "The DNS domain part of the complete fully qualified domain name (FQDN).",
    },
    "destinationServiceName": {
        "full_name": "destinationServiceName",
        "data_type": ["String"],
        "length": 1023,
        "description": "The service which is targeted by this event.",
    },
    "destinationTranslatedAddress": {
        "full_name": "destinationTranslatedAddress",
        "data_type": ["IPv4 Address"],
        "length": 0,
        "description": 'Identifies the translated destination that the event refers to in an IP network. The format is an IPv4 address. Example: "192.168.10.1"',
    },
    "destinationTranslatedPort": {
        "full_name": "destinationTranslatedPort",
        "data_type": ["Integer"],
        "length": 0,
        "description": "Port after it was translated",
    },
    "deviceCustomDate1": {
        "full_name": "deviceCustomDate1",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "There are two timestamp fields",
    },
    "deviceCustomDate1Label": {
        "full_name": "deviceCustomDate1Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "deviceCustomDate2": {
        "full_name": "deviceCustomDate2",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": 'There are two timestamp fields available which can be used to map fields which do not fit into any other "field of this dictionary. If possible, these fields should not be used, but a more specific field from the dictionary. Also check the guidelines later in this document for hints about utilizing these fields.',
    },
    "deviceCustomDate2Label": {
        "full_name": "deviceCustomDate2Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "deviceCustomDate3Label": {
        "full_name": "deviceCustomDate3Label",
        "data_type": ["String"],
        "length": 1023,
        "description": "All custom fields have a corresponding label field where the field itself can be described. Each of the fields is a string describing the purpose of this field.",
    },
    "deviceDirection": {
        "full_name": "deviceDirection",
        "data_type": ["String"],
        "length": 0,
        "description": "Any information about what direction the communication that was observed has taken.",
    },
    "deviceDnsDomain": {
        "full_name": "deviceDnsDomain",
        "data_type": ["String"],
        "length": 255,
        "description": "The DNS domain part of the complete fully qualified domain name (FQDN).",
    },
    "deviceExternalId": {
        "full_name": "deviceExternalId",
        "data_type": ["String"],
        "length": 255,
        "description": "A name that uniquely identifies the device generating this event.",
    },
    "deviceFacility": {
        "full_name": "deviceFacility",
        "data_type": ["String"],
        "length": 1023,
        "description": "The facility generating this event. Syslog for example has an explicit facility associated with every event.",
    },
    "deviceInboundInterface": {
        "full_name": "deviceInboundInterface",
        "data_type": ["String"],
        "length": 15,
        "description": "Interface on which the packet or data entered the device.",
    },
    "deviceMacAddress": {
        "full_name": "deviceMacAddress",
        "data_type": ["MAC Address"],
        "length": 0,
        "description": "Six colon-separated hexadecimal numbers. Example: 00:0D:60:AF:1B:61",
    },
    "deviceNtDomain": {
        "full_name": "deviceNtDomain",
        "data_type": ["String"],
        "length": 255,
        "description": "The Windows domain name of the device address.",
    },
    "deviceOutboundInterface": {
        "full_name": "deviceOutboundInterface",
        "data_type": ["String"],
        "length": 15,
        "description": "Interface on which the packet or data left the device.",
    },
    "deviceProcessName": {
        "full_name": "deviceProcessName",
        "data_type": ["String"],
        "length": 1023,
        "description": "Process name associated to the event. In UNIX, the process generating the syslog entry for example.",
    },
    "deviceTranslatedAddress": {
        "full_name": "deviceTranslatedAddress",
        "data_type": ["IPv4 Address"],
        "length": 0,
        "description": 'Identifies the translated device address that the event refers to in an IP network. The format is an IPv4 address. Example: "192.168.10.1"',
    },
    "dhost": {
        "full_name": "destinationHostName",
        "data_type": ["String"],
        "length": 1023,
        "description": 'Identifies the destination that an event refers to in an IP network. The format should be a fully qualified domain name associated with the destination node, when a node is available. Examples: "host.domain.com" or "host".',
    },
    "dhost": {
        "full_name": "DestinationHostName",
        "data_type": ["String"],
        "length": 1023,
        "description": 'Identifies the source that an event refers to in an IP network. The format should be a fully qualified domain name associated with the "destination node, when a node is available. Examples: "host.domain.com" or "host".',
    },
    "dmac": {
        "full_name": "destinationMac",
        "data_type": ["MAC Address"],
        "length": 0,
        "description": 'Six colon-separated hexadecimal numbers. Example: "00:0D:60:AF:1B:61"',
    },
    "dntdom": {
        "full_name": "destinationNtDomain",
        "data_type": ["String"],
        "length": 255,
        "description": "The Windows domain name of the destination address.",
    },
    "dpid": {
        "full_name": "destinationProcessId",
        "data_type": ["Integer"],
        "length": 0,
        "description": 'Provides the ID of the destination process associated with the event. For example, if an event contains process ID 105, "105" is the process ID.',
    },
    "dpriv": {
        "full_name": "destinationUserPrivileges",
        "data_type": ["String"],
        "length": 1023,
        "description": 'The allowed values are: "Administrator", "User", and "Guest". This identifies the destination user\'s privileges. In UNIX, for example, activity executed on the root user would be identified with destinationUserPrivileges of "Administrator". This is an idealized and simplified view on privileges and can be extended in the future.',
    },
    "dproc": {
        "full_name": "destinationProcessName",
        "data_type": ["String"],
        "length": 1023,
        "description": 'The name of the process which is the event\'s destination. For example: "telnetd", or "sshd".',
    },
    "dpt": {
        "full_name": "destinationPort",
        "data_type": ["Integer"],
        "length": 0,
        "description": "The valid port numbers are between 0 and 65535.",
    },
    "dst": {
        "full_name": "destinationAddress",
        "data_type": ["IPv4 Address"],
        "length": 0,
        "description": 'Identifies destination that the event refers to in an IP network. The format is an IPv4 address. Example: "192.168.10.1"',
    },
    "duid": {
        "full_name": "destinationUserId",
        "data_type": ["String"],
        "length": 1023,
        "description": "Identifies the destination user by ID. For example, in UNIX, the root user is generally associated with user ID 0.",
    },
    "duser": {
        "full_name": "destinationUserName",
        "data_type": ["String"],
        "length": 1023,
        "description": "Identifies the destination user by name. This is the user associated with the event's destination. E-mail addresses are also mapped into the UserName fields. The recipient is a candidate to put into destinationUserName.",
    },
    "dvc": {
        "full_name": "deviceAddress",
        "data_type": ["IPv4 Address"],
        "length": 16,
        "description": 'Identifies the device that an event refers to in an IP network. The format is an IPv4 address. Example: "192.168.10.1"',
    },
    "dvchost": {
        "full_name": "deviceHostName",
        "data_type": ["String"],
        "length": 100,
        "description": 'The format should be a fully qualified domain name associated with the device node, when a node is available. Examples: "host.domain.com" or "host".',
    },
    "dvcpid": {
        "full_name": "deviceProcessId",
        "data_type": ["Integer"],
        "length": 0,
        "description": "Provides the ID of the process on the device generating the event.",
    },
    "end": {
        "full_name": "endTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "The time at which the activity related to the event ended. The format is MMM dd yyyy HH:mm:ss or milliseconds since epoch (Jan 1st 1970). An example would be reporting the end of a session.",
    },
    "externalId": {
        "full_name": "externalId",
        "data_type": ["String"],
        "length": 40,
        "description": "An ID used by the originating device.",
    },
    "fileCreateTime": {
        "full_name": "fileCreateTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "Time when file was created.",
    },
    "fileHash": {
        "full_name": "fileHash",
        "data_type": ["String"],
        "length": 255,
        "description": "Hash of a file.",
    },
    "fileId": {
        "full_name": "fileId",
        "data_type": ["String"],
        "length": 1023,
        "description": "An ID associated with a file could be the inode.",
    },
    "fileModificationTime": {
        "full_name": "fileModificationTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "Time when file was last modified.",
    },
    "filePath": {
        "full_name": "filePath",
        "data_type": ["String"],
        "length": 1023,
        "description": "Full path to the file, including file name itself.",
    },
    "filePermission": {
        "full_name": "filePermission",
        "data_type": ["String"],
        "length": 1023,
        "description": "Permissions of the file.",
    },
    "fileType": {
        "full_name": "fileType",
        "data_type": ["String"],
        "length": 1023,
        "description": "Type of file (pipe, socket, etc.)",
    },
    "fd1": {
        "full_name": "flexDate1",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "A timestamp field available to map a timestamp that does not apply to any other defined timestamp field in this dictionary. Use all flex fields sparingly and seek a more specific, dictionary supplied field when possible. These fields are typically reserved for customer use and should not be set by vendors unless necessary.",
    },
    "fd1Label": {
        "full_name": "flexDate1Label",
        "data_type": ["String"],
        "length": 128,
        "description": "The label field is a string and describes the purpose of the flex field.",
    },
    "fs1": {
        "full_name": "flexString1",
        "data_type": ["String"],
        "length": 1023,
        "description": "One of four floating point fields available to map fields that do not apply to any other in this dictionary. Use sparingly and seek a more specific, dictionary supplied field when possible. These fields are typically reserved for customer use and should not be set by vendors unless necessary.",
    },
    "fs1Label": {
        "full_name": "flexString1Label",
        "data_type": ["String"],
        "length": 128,
        "description": "The label field is a string and describes the purpose of the flex field.",
    },
    "fs2": {
        "full_name": "flexString2",
        "data_type": ["String"],
        "length": 1023,
        "description": "One of four floating point fields available to map fields that do not apply to any other in this dictionary. Use sparingly and seek a more specific, dictionary supplied field when possible. These fields are typically reserved for customer use and should not be set by vendors unless necessary.",
    },
    "fs2Label": {
        "full_name": "flexString2Label",
        "data_type": ["String"],
        "length": 128,
        "description": "The label field is a string and describes the purpose of the flex field.",
    },
    "fname": {
        "full_name": "fileName",
        "data_type": ["String"],
        "length": 1023,
        "description": "Name of the file.",
    },
    "fsize": {
        "full_name": "fileSize",
        "data_type": ["Integer"],
        "length": 0,
        "description": "Size of the file.",
    },
    "in": {
        "full_name": "bytesIn",
        "data_type": ["Integer", "Long"],
        "length": 0,
        "description": "Number of bytes transferred inbound. Inbound relative to the source to destination relationship, meaning that data was flowing from source to destination.",
    },
    "msg": {
        "full_name": "message",
        "data_type": ["String"],
        "length": 1023,
        "description": "An arbitrary message giving more details about the event. Multi-line entries can be produced by using \n as the new-line separator.",
    },
    "oldFileCreateTime": {
        "full_name": "oldFileCreateTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "Time when old file was created.",
    },
    "oldFileHash": {
        "full_name": "oldFileHash",
        "data_type": ["String"],
        "length": 255,
        "description": "Hash of the old file.",
    },
    "oldFileId": {
        "full_name": "oldFileId",
        "data_type": ["String"],
        "length": 1023,
        "description": "An ID associated with the old file could be the inode.",
    },
    "oldFileModificationTime": {
        "full_name": "oldFileModificationTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "Time when old file was last modified.",
    },
    "oldFileName": {
        "full_name": "oldFileName",
        "data_type": ["String"],
        "length": 1023,
        "description": "Name of the old file.",
    },
    "oldFilePath": {
        "full_name": "oldFilePath",
        "data_type": ["String"],
        "length": 1023,
        "description": "Full path to the old file, including file name itself.",
    },
    "oldFilePermission": {
        "full_name": "oldFilePermission",
        "data_type": ["String"],
        "length": 1023,
        "description": "Permissions of the old file.",
    },
    "oldFileSize": {
        "full_name": "oldFileSize",
        "data_type": ["Integer"],
        "length": 0,
        "description": "Size of the old file.",
    },
    "oldFileType": {
        "full_name": "oldFileType",
        "data_type": ["String"],
        "length": 1023,
        "description": "Type of the old file (pipe, socket, etc.)",
    },
    "out": {
        "full_name": "bytesOut",
        "data_type": ["Integer", "Long"],
        "length": 0,
        "description": "Number of bytes transferred outbound. Outbound relative to the source to destination relationship, meaning that data was flowing from destination to source.",
    },
    "proto": {
        "full_name": "transportProtocol",
        "data_type": ["String"],
        "length": 31,
        "description": "Identifies the Layer-4 protocol used. The possible values are protocol names such as TCP or UDP.",
    },
    "reason": {
        "full_name": "reason",
        "data_type": ["String"],
        "length": 1023,
        "description": 'The reason an audit event was generated. For example "Bad password" or "Unknown User". This could also be an error or return code. Example: "0x1234"',
    },
    "requestClientApplication": {
        "full_name": "requestClientApplication",
        "data_type": ["String"],
        "length": 1023,
        "description": "The User-Agent associated with the request.",
    },
    "requestCookies": {
        "full_name": "requestCookies",
        "data_type": ["String"],
        "length": 1023,
        "description": "Cookies associated with the request.",
    },
    "requestMethod": {
        "full_name": "requestMethod",
        "data_type": ["String"],
        "length": 1023,
        "description": 'The method used to access a URL. Possible values: "POST", "GET", ...',
    },
    "request": {
        "full_name": "requestURL",
        "data_type": ["String"],
        "length": 1023,
        "description": 'In the case of an HTTP request, this field contains the URL accessed. The URL should contain the protocol as well, e.g., "http://www.security.com"',
    },
    "rt": {
        "full_name": "receiptTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "The time at which the event related to the activity was received. The format is MMM dd yyyy HH:mm:ss or milliseconds since epoch (Jan 1st 1970).",
    },
    "shost": {
        "full_name": "sourceHostName",
        "data_type": ["String"],
        "length": 1023,
        "description": 'Identifies the source that an event refers to in an IP network. The format should be a fully qualified domain name associated with the source node, when a node is available. Examples: "host.domain.com" or "host".',
    },
    "smac": {
        "full_name": "sourceMacAddress",
        "data_type": ["MAC Address"],
        "length": 0,
        "description": 'Six colon-separated hexadecimal numbers. Example: "00:0D:60:AF:1B:61"',
    },
    "sntdom": {
        "full_name": "sourceNtDomain",
        "data_type": ["String"],
        "length": 255,
        "description": "The Windows domain name for the source address.",
    },
    "sourceDnsDomain": {
        "full_name": "sourceDnsDomain",
        "data_type": ["String"],
        "length": 255,
        "description": "The DNS domain part of the complete fully qualified domain name (FQDN).",
    },
    "sourceServiceName": {
        "full_name": "sourceServiceName",
        "data_type": ["String"],
        "length": 1023,
        "description": "The service which is responsible for generating this event.",
    },
    "sourceTranslatedAddress": {
        "full_name": "sourceTranslatedAddress",
        "data_type": ["IPv4 Address"],
        "length": 0,
        "description": 'Identifies the translated source that the event refers to in an IP network. The format is an IPv4 address. Example: "192.168.10.1"',
    },
    "sourceTranslatedPort": {
        "full_name": "sourceTranslatedPort",
        "data_type": ["Integer"],
        "length": 0,
        "description": "Port after it was translated by for example a firewall. Valid port numbers are 0 to 65535.",
    },
    "spid": {
        "full_name": "sourceProcessId",
        "data_type": ["Integer"],
        "length": 0,
        "description": "The ID of the source process associated with the event.",
    },
    "spriv": {
        "full_name": "sourceUserPrivileges",
        "data_type": ["String"],
        "length": 1023,
        "description": 'The allowed values are: "Administrator", "User", and "Guest". It identifies the source user\'s privileges. In UNIX, for example, activity executed by the root user would be identified with sourceUserPrivileges of "Administrator". This is an idealized and simplified view on privileges and can be extended in the future.',
    },
    "spt": {
        "full_name": "sourcePort",
        "data_type": ["Integer"],
        "length": 0,
        "description": "The valid port numbers are 0 to 65535.",
    },
    "src": {
        "full_name": "sourceAddress",
        "data_type": ["IPv4 Address"],
        "length": 0,
        "description": 'Identifies the source that an event refers to in an IP network. The format is an IPv4 address. Example: "192.168.10.1"',
    },
    "start": {
        "full_name": "startTime",
        "data_type": ["TimeStamp"],
        "length": 0,
        "description": "The time when the activity the event referred to started. The format is MMM dd yyyy HH:mm:ss or milliseconds since epoch (Jan 1st 1970).",
    },
    "suid": {
        "full_name": "sourceUserId",
        "data_type": ["String"],
        "length": 1023,
        "description": 'Identifies the source user by ID. This is the user associated with the source of the event. For example, in "UNIX, the root user is generally associated with user ID 0.',
    },
    "suser": {
        "full_name": "sourceUserName",
        "data_type": ["String"],
        "length": 1023,
        "description": "Identifies the source user by name. E-mail addresses are also mapped into the UserName fields. The sender is a candidate to put into sourceUserName.",
    },
}
